Skip to main content
GET
/
esim
/
destinations
Get Destinations
curl --request GET \
  --url https://api.fyatu.com/api/v3/esim/destinations \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "status": 200,
  "message": "<string>",
  "data": {
    "destinations": [
      {
        "slug": "<string>",
        "countryCode": "<string>",
        "name": "<string>",
        "type": "local",
        "imageUrl": "<string>",
        "lowestPrice": 123,
        "operatorImage": "<string>"
      }
    ],
    "pagination": {
      "page": 123,
      "perPage": 123,
      "totalItems": 123,
      "totalPages": 123
    }
  },
  "meta": {
    "requestId": "req_abc123def456",
    "timestamp": "2023-11-07T05:31:56Z"
  }
}

Overview

Retrieve a paginated list of available eSIM destinations. Destinations represent geographic coverage areas where eSIMs can be used.
For detailed information about destination types and the eSIM lifecycle, see eSIM Concepts.

Destination Types

TypeDescriptionExamples
localSingle country coverageFrance, Japan, USA
regionalMulti-country regional coverageEurope (39 countries), Asia Pacific
globalWorldwide coverageGlobal Data (100+ countries)

Query Parameters

ParameterTypeDescription
typestringFilter by type: local, regional, or global
searchstringSearch by country/region name
pageintegerPage number (default: 1)
perPageintegerItems per page (default: 50, max: 100)

Response Fields

FieldTypeDescription
slugstringUnique identifier used in URLs
countryCodestringISO country code (for local destinations)
namestringDisplay name
typestringDestination type
imageUrlstringFlag or region image URL
lowestPricenumberCheapest available package price (USD)

Example Usage

// Get all local destinations
const response = await fetch('https://api.fyatu.com/api/v3/esim/destinations?type=local', {
  headers: {
    'Authorization': `Bearer ${accessToken}`
  }
});

const { data } = await response.json();

// Display destinations
data.destinations.forEach(dest => {
  console.log(`${dest.name}: from $${dest.lowestPrice}`);
});

// Handle pagination
if (data.pagination.page < data.pagination.totalPages) {
  // Fetch next page
  const nextPage = data.pagination.page + 1;
}

Use Cases

  • Destination Picker: Show users available countries/regions
  • Search: Let users find destinations by name
  • Pricing Display: Show starting prices for each destination

Authorizations

Authorization
string
header
required

JWT access token obtained from /auth/token

Query Parameters

type
enum<string>

Filter by type

Available options:
local,
regional,
global

Search by country name

region
string

Filter by region

Response

Destinations retrieved successfully

success
boolean
Example:

true

status
integer
Example:

200

message
string
data
object
meta
object